Index: branches/Trunk/HeuristicLab.Problems.OneMax.Views/3.3/HeuristicLab.Problems.OneMax.Views-3.3.csproj
===================================================================
--- branches/Trunk/HeuristicLab.Problems.OneMax.Views/3.3/HeuristicLab.Problems.OneMax.Views-3.3.csproj	(revision 6832)
+++ branches/Trunk/HeuristicLab.Problems.OneMax.Views/3.3/HeuristicLab.Problems.OneMax.Views-3.3.csproj	(revision 6833)
@@ -12,5 +12,6 @@
     <AssemblyName>HeuristicLab.Problems.OneMax.Views-3.3</AssemblyName>
     <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
-    <TargetFrameworkProfile></TargetFrameworkProfile>
+    <TargetFrameworkProfile>
+    </TargetFrameworkProfile>
     <FileAlignment>512</FileAlignment>
     <SignAssembly>true</SignAssembly>
@@ -108,5 +109,4 @@
   </ItemGroup>
   <ItemGroup>
-    <Compile Include="HeuristicLabProblemsOneMaxViewsPlugin.cs" />
     <Compile Include="OneMaxSolutionView.cs">
       <SubType>UserControl</SubType>
@@ -115,10 +115,11 @@
       <DependentUpon>OneMaxSolutionView.cs</DependentUpon>
     </Compile>
+    <Compile Include="Plugin.cs" />
     <Compile Include="Properties\AssemblyInfo.cs" />
   </ItemGroup>
   <ItemGroup>
     <None Include="HeuristicLab.snk" />
-    <None Include="HeuristicLabProblemsOneMaxViewsPlugin.cs.frame" />
-    <None Include="Properties\AssemblyInfo.frame" />
+    <None Include="Plugin.cs.frame" />
+    <None Include="Properties\AssemblyInfo.cs.frame" />
   </ItemGroup>
   <ItemGroup>
@@ -126,37 +127,46 @@
       <Project>{A9AD58B9-3EF9-4CC1-97E5-8D909039FF5C}</Project>
       <Name>HeuristicLab.Common-3.3</Name>
-  <Private>False</Private></ProjectReference>
+      <Private>False</Private>
+    </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.Core.Views\3.3\HeuristicLab.Core.Views-3.3.csproj">
       <Project>{E226881D-315F-423D-B419-A766FE0D8685}</Project>
       <Name>HeuristicLab.Core.Views-3.3</Name>
-  <Private>False</Private></ProjectReference>
+      <Private>False</Private>
+    </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.Core\3.3\HeuristicLab.Core-3.3.csproj">
       <Project>{C36BD924-A541-4A00-AFA8-41701378DDC5}</Project>
       <Name>HeuristicLab.Core-3.3</Name>
-  <Private>False</Private></ProjectReference>
+      <Private>False</Private>
+    </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.Data\3.3\HeuristicLab.Data-3.3.csproj">
       <Project>{BBAB9DF5-5EF3-4BA8-ADE9-B36E82114937}</Project>
       <Name>HeuristicLab.Data-3.3</Name>
-  <Private>False</Private></ProjectReference>
+      <Private>False</Private>
+    </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.Encodings.BinaryVectorEncoding\3.3\HeuristicLab.Encodings.BinaryVectorEncoding-3.3.csproj">
       <Project>{66D249C3-A01D-42A8-82A2-919BC8EC3D83}</Project>
       <Name>HeuristicLab.Encodings.BinaryVectorEncoding-3.3</Name>
-  <Private>False</Private></ProjectReference>
+      <Private>False</Private>
+    </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.MainForm.WindowsForms\3.3\HeuristicLab.MainForm.WindowsForms-3.3.csproj">
       <Project>{AB687BBE-1BFE-476B-906D-44237135431D}</Project>
       <Name>HeuristicLab.MainForm.WindowsForms-3.3</Name>
-  <Private>False</Private></ProjectReference>
+      <Private>False</Private>
+    </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.MainForm\3.3\HeuristicLab.MainForm-3.3.csproj">
       <Project>{3BD61258-31DA-4B09-89C0-4F71FEF5F05A}</Project>
       <Name>HeuristicLab.MainForm-3.3</Name>
-  <Private>False</Private></ProjectReference>
+      <Private>False</Private>
+    </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.PluginInfrastructure\3.3\HeuristicLab.PluginInfrastructure-3.3.csproj">
       <Project>{94186A6A-5176-4402-AE83-886557B53CCA}</Project>
       <Name>HeuristicLab.PluginInfrastructure-3.3</Name>
-  <Private>False</Private></ProjectReference>
+      <Private>False</Private>
+    </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.Problems.OneMax\3.3\HeuristicLab.Problems.OneMax-3.3.csproj">
       <Project>{F62BCD22-FB83-4444-9401-8031C2487A86}</Project>
       <Name>HeuristicLab.Problems.OneMax-3.3</Name>
-  <Private>False</Private></ProjectReference>
+      <Private>False</Private>
+    </ProjectReference>
   </ItemGroup>
   <ItemGroup>
@@ -192,5 +202,5 @@
 
 call PreBuildEvent.cmd
-SubWCRev "%25ProjectDir%25\" "%25ProjectDir%25\HeuristicLabProblemsOneMaxViewsPlugin.cs.frame" "%25ProjectDir%25\HeuristicLabProblemsOneMaxViewsPlugin.cs"</PreBuildEvent>
+</PreBuildEvent>
   </PropertyGroup>
 </Project>
